## org.omg.PortableServer.POAPackage
Class AdapterAlreadyExistsHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.AdapterAlreadyExistsHelper

public class AdapterAlreadyExistsHelper
extends java.lang.Object

Helper class for : AdapterAlreadyExists

Author:
  OpenORB Compiler

Constructor Summary
`AdapterAlreadyExistsHelper()`

Method Summary
`static AdapterAlreadyExists` `extract(Any a)` Extract AdapterAlreadyExists from an any
`static java.lang.String` `id()` Return the AdapterAlreadyExists IDL ID
`static void` `insert(Any a, AdapterAlreadyExists t)` Insert AdapterAlreadyExists into an any
`static AdapterAlreadyExists` `read(InputStream istream)` Read AdapterAlreadyExists from a marshalled stream
`static TypeCode` `type()` Return the AdapterAlreadyExists TypeCode
`static void` `write(OutputStream ostream, AdapterAlreadyExists value)` Write AdapterAlreadyExists into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterAlreadyExistsHelper

    public AdapterAlreadyExistsHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AdapterAlreadyExists t)

  Insert AdapterAlreadyExists into an any
  Parameters:
    `a` - an any
    `t` - AdapterAlreadyExists value

### extract

    public static AdapterAlreadyExists extract(Any a)

  Extract AdapterAlreadyExists from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AdapterAlreadyExists value

### type

    public static TypeCode type()

  Return the AdapterAlreadyExists TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AdapterAlreadyExists IDL ID
  Returns:
    an ID

### read

    public static AdapterAlreadyExists read(InputStream istream)

  Read AdapterAlreadyExists from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AdapterAlreadyExists value

### write

    public static void write(OutputStream ostream,
                             AdapterAlreadyExists value)

  Write AdapterAlreadyExists into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AdapterAlreadyExists value